timeit-2.0: Time monadic computations with an IO base.

Safe Haskell | Safe
Language | Haskell2010

System.TimeIt

Synopsis

- timeIt :: MonadIO m => m a -> m a
- timeItShow :: (MonadIO m, Show a) => m a -> m a
- timeItNamed :: MonadIO m => String -> m a -> m a
- timeItT :: MonadIO m => m a -> m (Double, a)

# Documentation

timeIt :: MonadIO m => m a -> m a Source #

Wrap a `MonadIO` computation so that it prints out the execution time.

timeItShow :: (MonadIO m, Show a) => m a -> m a Source #

Like `timeIt`, but uses the `show` rendering of `a` as label for the timing.

Since: 2.0

timeItNamed :: MonadIO m => String -> m a -> m a Source #

Like `timeIt`, but uses the `String` as label for the timing.

Since: 2.0

timeItT :: MonadIO m => m a -> m (Double, a) Source #

Wrap a `MonadIO` computation so that it returns execution time in seconds, as well as the result value.